diff --git a/doc/bashref.ps b/doc/bashref.ps
index 1d3bb836..7c2123f4 100644
--- a/doc/bashref.ps
+++ b/doc/bashref.ps
@@ -14812,162 +14835,168 @@ TeXDict begin 95 100 bop 150 -116 a Fu(Chapter)30 b(6:)41
 b(Bash)30 b(F)-8 b(eatures)2484 b(95)154 299 y(20.)61
 b Fm(posix)30 b Fu(sp)s(ecial)h(builtins)e(are)i(found)e(b)s(efore)h
 (shell)h(functions)f(during)f(command)h(lo)s(okup.)154
-427 y(21.)61 b(The)29 b Ft(time)g Fu(reserv)m(ed)h(w)m(ord)g(ma)m(y)g
-(b)s(e)g(used)f(b)m(y)h(itself)g(as)g(a)h(command.)40
-b(When)30 b(used)f(in)g(this)h(w)m(a)m(y)-8 b(,)330 536
-y(it)33 b(displa)m(ys)g(timing)g(statistics)h(for)e(the)h(shell)g(and)f
-(its)g(completed)i(c)m(hildren.)47 b(The)32 b Ft(TIMEFORMAT)330
-646 y Fu(v)-5 b(ariable)31 b(con)m(trols)h(the)e(format)h(of)g(the)f
-(timing)h(information.)154 774 y(22.)61 b(When)33 b(parsing)g(and)f
-(expanding)h(a)h($)p Fi({)6 b Fu(.)22 b(.)h(.)11 b Fi(})33
-b Fu(expansion)g(that)h(app)s(ears)f(within)f(double)h(quotes,)330
-883 y(single)42 b(quotes)g(are)g(no)g(longer)g(sp)s(ecial)g(and)f
-(cannot)i(b)s(e)e(used)g(to)h(quote)g(a)g(closing)h(brace)f(or)330
-993 y(other)31 b(sp)s(ecial)h(c)m(haracter,)i(unless)c(the)i(op)s
-(erator)f(is)g(one)h(of)f(those)h(de\014ned)e(to)i(p)s(erform)e
-(pattern)330 1103 y(remo)m(v)-5 b(al.)42 b(In)30 b(this)g(case,)i(they)
-e(do)g(not)h(ha)m(v)m(e)h(to)f(app)s(ear)e(as)i(matc)m(hed)g(pairs.)154
-1230 y(23.)61 b(The)29 b(parser)g(do)s(es)g(not)h(recognize)h
+434 y(21.)61 b(Literal)28 b(tildes)g(that)f(app)s(ear)f(as)i(the)f
+(\014rst)f(c)m(haracter)j(in)d(elemen)m(ts)j(of)e(the)g
+Ft(PATH)f Fu(v)-5 b(ariable)27 b(are)h(not)330 544 y(expanded)i(as)g
+(describ)s(ed)f(ab)s(o)m(v)m(e)j(under)d(Section)i(3.5.2)h([Tilde)f
+(Expansion],)f(page)h(22.)154 679 y(22.)61 b(The)29 b
+Ft(time)g Fu(reserv)m(ed)h(w)m(ord)g(ma)m(y)g(b)s(e)g(used)f(b)m(y)h
+(itself)g(as)g(a)h(command.)40 b(When)30 b(used)f(in)g(this)h(w)m(a)m
+(y)-8 b(,)330 789 y(it)33 b(displa)m(ys)g(timing)g(statistics)h(for)e
+(the)h(shell)g(and)f(its)g(completed)i(c)m(hildren.)47
+b(The)32 b Ft(TIMEFORMAT)330 898 y Fu(v)-5 b(ariable)31
+b(con)m(trols)h(the)e(format)h(of)g(the)f(timing)h(information.)154
+1034 y(23.)61 b(When)33 b(parsing)g(and)f(expanding)h(a)h($)p
+Fi({)6 b Fu(.)22 b(.)h(.)11 b Fi(})33 b Fu(expansion)g(that)h(app)s
+(ears)f(within)f(double)h(quotes,)330 1143 y(single)42
+b(quotes)g(are)g(no)g(longer)g(sp)s(ecial)g(and)f(cannot)i(b)s(e)e
+(used)g(to)h(quote)g(a)g(closing)h(brace)f(or)330 1253
+y(other)31 b(sp)s(ecial)h(c)m(haracter,)i(unless)c(the)i(op)s(erator)f
+(is)g(one)h(of)f(those)h(de\014ned)e(to)i(p)s(erform)e(pattern)330
+1363 y(remo)m(v)-5 b(al.)42 b(In)30 b(this)g(case,)i(they)e(do)g(not)h
+(ha)m(v)m(e)h(to)f(app)s(ear)e(as)i(matc)m(hed)g(pairs.)154
+1498 y(24.)61 b(The)29 b(parser)g(do)s(es)g(not)h(recognize)h
 Ft(time)d Fu(as)i(a)g(reserv)m(ed)f(w)m(ord)g(if)h(the)f(next)h(tok)m
-(en)h(b)s(egins)d(with)i(a)330 1340 y(`)p Ft(-)p Fu('.)154
-1468 y(24.)61 b(If)24 b(a)g Fm(posix)g Fu(sp)s(ecial)h(builtin)f
+(en)h(b)s(egins)d(with)i(a)330 1608 y(`)p Ft(-)p Fu('.)154
+1743 y(25.)61 b(If)24 b(a)g Fm(posix)g Fu(sp)s(ecial)h(builtin)f
 (returns)f(an)h(error)g(status,)i(a)e(non-in)m(teractiv)m(e)j(shell)e
-(exits.)39 b(The)24 b(fatal)330 1577 y(errors)30 b(are)h(those)f
+(exits.)39 b(The)24 b(fatal)330 1852 y(errors)30 b(are)h(those)f
 (listed)h(in)f(the)h Fm(posix)e Fu(standard,)h(and)g(include)g(things)g
-(lik)m(e)i(passing)e(incorrect)330 1687 y(options,)43
+(lik)m(e)i(passing)e(incorrect)330 1962 y(options,)43
 b(redirection)d(errors,)i(v)-5 b(ariable)41 b(assignmen)m(t)g(errors)e
-(for)g(assignmen)m(ts)i(preceding)f(the)330 1797 y(command)30
-b(name,)h(and)f(so)g(on.)154 1924 y(25.)61 b(A)31 b(non-in)m(teractiv)m
+(for)g(assignmen)m(ts)i(preceding)f(the)330 2072 y(command)30
+b(name,)h(and)f(so)g(on.)154 2207 y(26.)61 b(A)31 b(non-in)m(teractiv)m
 (e)j(shell)d(exits)h(with)e(an)h(error)g(status)g(if)g(a)g(v)-5
 b(ariable)32 b(assignmen)m(t)g(error)e(o)s(ccurs)330
-2034 y(when)38 b(no)h(command)g(name)g(follo)m(ws)i(the)e(assignmen)m
+2317 y(when)38 b(no)h(command)g(name)g(follo)m(ws)i(the)e(assignmen)m
 (t)h(statemen)m(ts.)69 b(A)39 b(v)-5 b(ariable)40 b(assignmen)m(t)330
-2144 y(error)30 b(o)s(ccurs,)g(for)g(example,)i(when)d(trying)i(to)g
+2426 y(error)30 b(o)s(ccurs,)g(for)g(example,)i(when)d(trying)i(to)g
 (assign)f(a)h(v)-5 b(alue)31 b(to)g(a)g(readonly)f(v)-5
-b(ariable.)154 2271 y(26.)61 b(A)31 b(non-in)m(teractiv)m(e)j(shell)d
+b(ariable.)154 2562 y(27.)61 b(A)31 b(non-in)m(teractiv)m(e)j(shell)d
 (exits)h(with)e(an)h(error)g(status)g(if)g(a)g(v)-5 b(ariable)32
-b(assignmen)m(t)g(error)e(o)s(ccurs)330 2381 y(in)g(an)g(assignmen)m(t)
+b(assignmen)m(t)g(error)e(o)s(ccurs)330 2671 y(in)g(an)g(assignmen)m(t)
 i(statemen)m(t)g(preceding)e(a)h(sp)s(ecial)g(builtin,)f(but)g(not)g
-(with)h(an)m(y)f(other)h(simple)330 2491 y(command.)154
-2619 y(27.)61 b(A)43 b(non-in)m(teractiv)m(e)i(shell)e(exits)h(with)f
+(with)h(an)m(y)f(other)h(simple)330 2781 y(command.)154
+2916 y(28.)61 b(A)43 b(non-in)m(teractiv)m(e)i(shell)e(exits)h(with)f
 (an)f(error)h(status)g(if)g(the)g(iteration)h(v)-5 b(ariable)44
-b(in)f(a)g Ft(for)330 2728 y Fu(statemen)m(t)32 b(or)f(the)f(selection)
+b(in)f(a)g Ft(for)330 3026 y Fu(statemen)m(t)32 b(or)f(the)f(selection)
 i(v)-5 b(ariable)32 b(in)e(a)g Ft(select)f Fu(statemen)m(t)j(is)f(a)f
-(readonly)h(v)-5 b(ariable.)154 2856 y(28.)61 b(Pro)s(cess)30
-b(substitution)g(is)h(not)f(a)m(v)-5 b(ailable.)154 2984
-y(29.)61 b(While)32 b(v)-5 b(ariable)32 b(indirection)f(is)g(a)m(v)-5
+(readonly)h(v)-5 b(ariable.)154 3161 y(29.)61 b(Pro)s(cess)30
+b(substitution)g(is)h(not)f(a)m(v)-5 b(ailable.)154 3296
+y(30.)61 b(While)32 b(v)-5 b(ariable)32 b(indirection)f(is)g(a)m(v)-5
 b(ailable,)34 b(it)d(ma)m(y)h(not)f(b)s(e)g(applied)g(to)g(the)h(`)p
 Ft(#)p Fu(')f(and)f(`)p Ft(?)p Fu(')h(sp)s(ecial)330
-3093 y(parameters.)154 3221 y(30.)61 b(Assignmen)m(t)23
+3406 y(parameters.)154 3541 y(31.)61 b(Assignmen)m(t)23
 b(statemen)m(ts)h(preceding)e Fm(posix)f Fu(sp)s(ecial)i(builtins)f(p)s
-(ersist)g(in)f(the)i(shell)f(en)m(vironmen)m(t)330 3331
-y(after)31 b(the)f(builtin)g(completes.)154 3459 y(31.)61
+(ersist)g(in)f(the)i(shell)f(en)m(vironmen)m(t)330 3651
+y(after)31 b(the)f(builtin)g(completes.)154 3786 y(32.)61
 b(Assignmen)m(t)35 b(statemen)m(ts)h(preceding)f(shell)f(function)g
 (calls)i(p)s(ersist)e(in)g(the)h(shell)f(en)m(vironmen)m(t)330
-3568 y(after)d(the)f(function)h(returns,)e(as)i(if)f(a)h
+3896 y(after)d(the)f(function)h(returns,)e(as)i(if)f(a)h
 Fm(posix)e Fu(sp)s(ecial)i(builtin)f(command)g(had)g(b)s(een)g
-(executed.)154 3696 y(32.)61 b(The)38 b Ft(export)f Fu(and)g
+(executed.)154 4031 y(33.)61 b(The)38 b Ft(export)f Fu(and)g
 Ft(readonly)f Fu(builtin)i(commands)g(displa)m(y)h(their)f(output)g(in)
-g(the)h(format)g(re-)330 3806 y(quired)30 b(b)m(y)g Fm(posix)p
-Fu(.)154 3934 y(33.)61 b(The)30 b Ft(trap)f Fu(builtin)h(displa)m(ys)g
+g(the)h(format)g(re-)330 4141 y(quired)30 b(b)m(y)g Fm(posix)p
+Fu(.)154 4276 y(34.)61 b(The)30 b Ft(trap)f Fu(builtin)h(displa)m(ys)g
 (signal)i(names)e(without)g(the)h(leading)g Ft(SIG)p
-Fu(.)154 4061 y(34.)61 b(The)39 b Ft(trap)e Fu(builtin)i(do)s(esn't)g
+Fu(.)154 4412 y(35.)61 b(The)39 b Ft(trap)e Fu(builtin)i(do)s(esn't)g
 (c)m(hec)m(k)h(the)g(\014rst)e(argumen)m(t)i(for)e(a)i(p)s(ossible)e
-(signal)i(sp)s(eci\014cation)330 4171 y(and)30 b(rev)m(ert)i(the)e
+(signal)i(sp)s(eci\014cation)330 4521 y(and)30 b(rev)m(ert)i(the)e
 (signal)i(handling)e(to)h(the)g(original)h(disp)s(osition)e(if)h(it)g
-(is,)g(unless)f(that)h(argumen)m(t)330 4281 y(consists)e(solely)g(of)g
+(is,)g(unless)f(that)h(argumen)m(t)330 4631 y(consists)e(solely)g(of)g
 (digits)g(and)f(is)g(a)h(v)-5 b(alid)29 b(signal)g(n)m(um)m(b)s(er.)38
 b(If)28 b(users)g(w)m(an)m(t)h(to)g(reset)g(the)g(handler)330
-4390 y(for)h(a)g(giv)m(en)h(signal)g(to)f(the)h(original)g(disp)s
+4740 y(for)h(a)g(giv)m(en)h(signal)g(to)f(the)h(original)g(disp)s
 (osition,)f(they)g(should)f(use)h(`)p Ft(-)p Fu(')g(as)g(the)g(\014rst)
-f(argumen)m(t.)154 4518 y(35.)61 b(The)21 b Ft(.)h Fu(and)f
+f(argumen)m(t.)154 4876 y(36.)61 b(The)21 b Ft(.)h Fu(and)f
 Ft(source)f Fu(builtins)h(do)g(not)h(searc)m(h)h(the)f(curren)m(t)f
 (directory)h(for)g(the)g(\014lename)f(argumen)m(t)330
-4628 y(if)30 b(it)h(is)g(not)f(found)f(b)m(y)i(searc)m(hing)g
-Ft(PATH)p Fu(.)154 4756 y(36.)61 b(Subshells)24 b(spa)m(wned)h(to)h
+4985 y(if)30 b(it)h(is)g(not)f(found)f(b)m(y)i(searc)m(hing)g
+Ft(PATH)p Fu(.)154 5121 y(37.)61 b(Subshells)24 b(spa)m(wned)h(to)h
 (execute)h(command)f(substitutions)f(inherit)g(the)h(v)-5
-b(alue)26 b(of)g(the)g Ft(-e)e Fu(option)330 4865 y(from)37
+b(alue)26 b(of)g(the)g Ft(-e)e Fu(option)330 5230 y(from)37
 b(the)h(paren)m(t)g(shell.)63 b(When)38 b(not)g(in)f
 Fm(posix)g Fu(mo)s(de,)j(Bash)e(clears)g(the)g Ft(-e)g
-Fu(option)g(in)f(suc)m(h)330 4975 y(subshells.)154 5103
-y(37.)61 b(Alias)31 b(expansion)g(is)f(alw)m(a)m(ys)i(enabled,)e(ev)m
-(en)i(in)e(non-in)m(teractiv)m(e)j(shells.)154 5230 y(38.)61
-b(When)43 b(the)g Ft(alias)f Fu(builtin)g(displa)m(ys)i(alias)g
-(de\014nitions,)i(it)d(do)s(es)g(not)g(displa)m(y)h(them)f(with)g(a)330
-5340 y(leading)31 b(`)p Ft(alias)e Fu(')i(unless)f(the)g
-Ft(-p)g Fu(option)h(is)f(supplied.)p eop end
+Fu(option)g(in)f(suc)m(h)330 5340 y(subshells.)p eop
+end
 %%Page: 96 102
 TeXDict begin 96 101 bop 150 -116 a Fu(Chapter)30 b(6:)41
-b(Bash)30 b(F)-8 b(eatures)2484 b(96)154 299 y(39.)61
-b(When)40 b(the)g Ft(set)f Fu(builtin)h(is)g(in)m(v)m(ok)m(ed)h
-(without)f(options,)j(it)e(do)s(es)f(not)g(displa)m(y)g(shell)g
-(function)330 408 y(names)30 b(and)g(de\014nitions.)154
-543 y(40.)61 b(When)36 b(the)g Ft(set)g Fu(builtin)g(is)g(in)m(v)m(ok)m
-(ed)i(without)e(options,)i(it)f(displa)m(ys)f(v)-5 b(ariable)37
-b(v)-5 b(alues)37 b(without)330 653 y(quotes,)26 b(unless)d(they)i(con)
-m(tain)g(shell)f(metac)m(haracters,)k(ev)m(en)d(if)f(the)g(result)g
-(con)m(tains)i(nonprin)m(ting)330 762 y(c)m(haracters.)154
-897 y(41.)61 b(When)35 b(the)g Ft(cd)f Fu(builtin)h(is)g(in)m(v)m(ok)m
+b(Bash)30 b(F)-8 b(eatures)2484 b(96)154 299 y(38.)61
+b(Alias)31 b(expansion)g(is)f(alw)m(a)m(ys)i(enabled,)e(ev)m(en)i(in)e
+(non-in)m(teractiv)m(e)j(shells.)154 433 y(39.)61 b(When)43
+b(the)g Ft(alias)f Fu(builtin)g(displa)m(ys)i(alias)g(de\014nitions,)i
+(it)d(do)s(es)g(not)g(displa)m(y)h(them)f(with)g(a)330
+543 y(leading)31 b(`)p Ft(alias)e Fu(')i(unless)f(the)g
+Ft(-p)g Fu(option)h(is)f(supplied.)154 677 y(40.)61 b(When)40
+b(the)g Ft(set)f Fu(builtin)h(is)g(in)m(v)m(ok)m(ed)h(without)f
+(options,)j(it)e(do)s(es)f(not)g(displa)m(y)g(shell)g(function)330
+787 y(names)30 b(and)g(de\014nitions.)154 922 y(41.)61
+b(When)36 b(the)g Ft(set)g Fu(builtin)g(is)g(in)m(v)m(ok)m(ed)i
+(without)e(options,)i(it)f(displa)m(ys)f(v)-5 b(ariable)37
+b(v)-5 b(alues)37 b(without)330 1031 y(quotes,)26 b(unless)d(they)i
+(con)m(tain)g(shell)f(metac)m(haracters,)k(ev)m(en)d(if)f(the)g(result)
+g(con)m(tains)i(nonprin)m(ting)330 1141 y(c)m(haracters.)154
+1275 y(42.)61 b(When)35 b(the)g Ft(cd)f Fu(builtin)h(is)g(in)m(v)m(ok)m
 (ed)i(in)d Fr(logical)41 b Fu(mo)s(de,)36 b(and)f(the)g(pathname)g
-(constructed)g(from)330 1006 y Ft($PWD)i Fu(and)h(the)h(directory)f
+(constructed)g(from)330 1385 y Ft($PWD)i Fu(and)h(the)h(directory)f
 (name)h(supplied)e(as)i(an)f(argumen)m(t)h(do)s(es)f(not)g(refer)h(to)g
-(an)f(existing)330 1116 y(directory)-8 b(,)32 b Ft(cd)d
+(an)f(existing)330 1494 y(directory)-8 b(,)32 b Ft(cd)d
 Fu(will)i(fail)g(instead)g(of)f(falling)h(bac)m(k)h(to)f
-Fr(ph)m(ysical)j Fu(mo)s(de.)154 1250 y(42.)61 b(The)36
+Fr(ph)m(ysical)j Fu(mo)s(de.)154 1629 y(43.)61 b(The)36
 b Ft(pwd)f Fu(builtin)h(v)m(eri\014es)h(that)g(the)f(v)-5
 b(alue)37 b(it)g(prin)m(ts)e(is)i(the)f(same)h(as)f(the)h(curren)m(t)f
-(directory)-8 b(,)330 1360 y(ev)m(en)31 b(if)f(it)h(is)g(not)f(ask)m
+(directory)-8 b(,)330 1738 y(ev)m(en)31 b(if)f(it)h(is)g(not)f(ask)m
 (ed)h(to)g(c)m(hec)m(k)h(the)f(\014le)f(system)h(with)f(the)h
-Ft(-P)e Fu(option.)154 1494 y(43.)61 b(When)35 b(listing)g(the)g
+Ft(-P)e Fu(option.)154 1873 y(44.)61 b(When)35 b(listing)g(the)g
 (history)-8 b(,)36 b(the)f Ft(fc)g Fu(builtin)f(do)s(es)g(not)h
-(include)g(an)f(indication)i(of)f(whether)f(or)330 1604
+(include)g(an)f(indication)i(of)f(whether)f(or)330 1983
 y(not)d(a)f(history)h(en)m(try)f(has)g(b)s(een)g(mo)s(di\014ed.)154
-1738 y(44.)61 b(The)30 b(default)g(editor)h(used)f(b)m(y)g
-Ft(fc)g Fu(is)g Ft(ed)p Fu(.)154 1873 y(45.)61 b(The)37
+2117 y(45.)61 b(The)30 b(default)g(editor)h(used)f(b)m(y)g
+Ft(fc)g Fu(is)g Ft(ed)p Fu(.)154 2252 y(46.)61 b(The)37
 b Ft(type)g Fu(and)g Ft(command)f Fu(builtins)i(will)g(not)g(rep)s(ort)
 f(a)i(non-executable)g(\014le)f(as)g(ha)m(ving)h(b)s(een)330
-1983 y(found,)26 b(though)h(the)g(shell)g(will)g(attempt)h(to)g
+2361 y(found,)26 b(though)h(the)g(shell)g(will)g(attempt)h(to)g
 (execute)g(suc)m(h)f(a)g(\014le)g(if)g(it)g(is)g(the)g(only)g(so-named)
-g(\014le)330 2092 y(found)i(in)h Ft($PATH)p Fu(.)154
-2227 y(46.)61 b(The)33 b Ft(vi)f Fu(editing)i(mo)s(de)f(will)g(in)m(v)m
+g(\014le)330 2471 y(found)i(in)h Ft($PATH)p Fu(.)154
+2605 y(47.)61 b(The)33 b Ft(vi)f Fu(editing)i(mo)s(de)f(will)g(in)m(v)m
 (ok)m(e)i(the)e Ft(vi)g Fu(editor)h(directly)f(when)f(the)i(`)p
-Ft(v)p Fu(')f(command)g(is)g(run,)330 2336 y(instead)e(of)f(c)m(hec)m
-(king)i Ft($VISUAL)d Fu(and)g Ft($EDITOR)p Fu(.)154 2471
-y(47.)61 b(When)41 b(the)g Ft(xpg_echo)e Fu(option)i(is)g(enabled,)j
+Ft(v)p Fu(')f(command)g(is)g(run,)330 2715 y(instead)e(of)f(c)m(hec)m
+(king)i Ft($VISUAL)d Fu(and)g Ft($EDITOR)p Fu(.)154 2849
+y(48.)61 b(When)41 b(the)g Ft(xpg_echo)e Fu(option)i(is)g(enabled,)j
 (Bash)d(do)s(es)g(not)g(attempt)h(to)g(in)m(terpret)f(an)m(y)h(ar-)330
-2580 y(gumen)m(ts)35 b(to)g Ft(echo)e Fu(as)i(options.)54
+2959 y(gumen)m(ts)35 b(to)g Ft(echo)e Fu(as)i(options.)54
 b(Eac)m(h)35 b(argumen)m(t)g(is)f(displa)m(y)m(ed,)j(after)e(escap)s(e)
-g(c)m(haracters)h(are)330 2690 y(con)m(v)m(erted.)154
-2824 y(48.)61 b(The)30 b Ft(ulimit)f Fu(builtin)g(uses)h(a)h(blo)s(c)m
+g(c)m(haracters)h(are)330 3068 y(con)m(v)m(erted.)154
+3203 y(49.)61 b(The)30 b Ft(ulimit)f Fu(builtin)g(uses)h(a)h(blo)s(c)m
 (k)g(size)g(of)g(512)g(b)m(ytes)g(for)f(the)h Ft(-c)f
-Fu(and)g Ft(-f)f Fu(options.)154 2959 y(49.)61 b(The)39
+Fu(and)g Ft(-f)f Fu(options.)154 3337 y(50.)61 b(The)39
 b(arriv)-5 b(al)41 b(of)f Ft(SIGCHLD)e Fu(when)h(a)h(trap)g(is)g(set)h
 (on)f Ft(SIGCHLD)e Fu(do)s(es)h(not)h(in)m(terrupt)g(the)g
-Ft(wait)330 3068 y Fu(builtin)c(and)h(cause)g(it)h(to)f(return)f
+Ft(wait)330 3447 y Fu(builtin)c(and)h(cause)g(it)h(to)f(return)f
 (immediately)-8 b(.)62 b(The)37 b(trap)f(command)h(is)g(run)e(once)j
-(for)f(eac)m(h)330 3178 y(c)m(hild)31 b(that)g(exits.)154
-3313 y(50.)61 b(The)27 b Ft(read)f Fu(builtin)g(ma)m(y)i(b)s(e)e(in)m
+(for)f(eac)m(h)330 3557 y(c)m(hild)31 b(that)g(exits.)154
+3691 y(51.)61 b(The)27 b Ft(read)f Fu(builtin)g(ma)m(y)i(b)s(e)e(in)m
 (terrupted)h(b)m(y)g(a)h(signal)f(for)g(whic)m(h)g(a)h(trap)f(has)g(b)s
-(een)f(set.)40 b(If)27 b(Bash)330 3422 y(receiv)m(es)41
+(een)f(set.)40 b(If)27 b(Bash)330 3801 y(receiv)m(es)41
 b(a)f(trapp)s(ed)e(signal)i(while)f(executing)h Ft(read)p
 Fu(,)h(the)e(trap)h(handler)e(executes)i(and)f Ft(read)330
-3532 y Fu(returns)29 b(an)h(exit)i(status)e(greater)i(than)e(128.)275
-3691 y(There)k(is)g(other)h Fm(posix)f Fu(b)s(eha)m(vior)h(that)g(Bash)
+3910 y Fu(returns)29 b(an)h(exit)i(status)e(greater)i(than)e(128.)275
+4070 y(There)k(is)g(other)h Fm(posix)f Fu(b)s(eha)m(vior)h(that)g(Bash)
 g(do)s(es)f(not)h(implemen)m(t)g(b)m(y)g(default)f(ev)m(en)i(when)d(in)
-150 3801 y Fm(posix)d Fu(mo)s(de.)40 b(Sp)s(eci\014cally:)199
-3935 y(1.)61 b(The)30 b Ft(fc)f Fu(builtin)h(c)m(hec)m(ks)i
+150 4179 y Fm(posix)d Fu(mo)s(de.)40 b(Sp)s(eci\014cally:)199
+4314 y(1.)61 b(The)30 b Ft(fc)f Fu(builtin)h(c)m(hec)m(ks)i
 Ft($EDITOR)c Fu(as)j(a)f(program)g(to)h(edit)g(history)f(en)m(tries)h
-(if)f Ft(FCEDIT)f Fu(is)h(unset,)330 4045 y(rather)g(than)g(defaulting)
+(if)f Ft(FCEDIT)f Fu(is)h(unset,)330 4423 y(rather)g(than)g(defaulting)
 h(directly)g(to)g Ft(ed)p Fu(.)40 b Ft(fc)30 b Fu(uses)g
-Ft(ed)g Fu(if)g Ft(EDITOR)f Fu(is)h(unset.)199 4179 y(2.)61
+Ft(ed)g Fu(if)g Ft(EDITOR)f Fu(is)h(unset.)199 4558 y(2.)61
 b(As)29 b(noted)g(ab)s(o)m(v)m(e,)i(Bash)e(requires)g(the)g
 Ft(xpg_echo)e Fu(option)j(to)g(b)s(e)e(enabled)h(for)g(the)g
-Ft(echo)f Fu(builtin)330 4289 y(to)j(b)s(e)f(fully)g(conforman)m(t.)275
-4448 y(Bash)c(can)g(b)s(e)f(con\014gured)h(to)g(b)s(e)g
+Ft(echo)f Fu(builtin)330 4667 y(to)j(b)s(e)f(fully)g(conforman)m(t.)275
+4827 y(Bash)c(can)g(b)s(e)f(con\014gured)h(to)g(b)s(e)g
 Fm(posix)p Fu(-conforman)m(t)g(b)m(y)g(default,)h(b)m(y)f(sp)s
-(ecifying)g(the)g Ft(--enable-)150 4558 y(strict-posix-default)c
+(ecifying)g(the)g Ft(--enable-)150 4936 y(strict-posix-default)c
 Fu(to)27 b Ft(configure)e Fu(when)h(building)h(\(see)h(Section)g(10.8)g
-([Optional)g(F)-8 b(eatures],)150 4667 y(page)31 b(140\).)p
+([Optional)g(F)-8 b(eatures],)150 5046 y(page)31 b(140\).)p
 eop end
 %%Page: 97 103
 TeXDict begin 97 102 bop 150 -116 a Fu(Chapter)30 b(7:)41
@@ -15090,13 +15119,13 @@ g(to)g(not)g(in)m(terrupt)150 1334 y(an)m(y)k(other)f(output.)40
 b(If)28 b(the)g Ft(-b)g Fu(option)g(to)h(the)g Ft(set)e
 Fu(builtin)h(is)g(enabled,)h(Bash)g(rep)s(orts)e(suc)m(h)h(c)m(hanges)
 150 1443 y(immediately)d(\(see)g(Section)g(4.3.1)g([The)f(Set)g
-(Builtin],)i(page)f(58\).)40 b(An)m(y)24 b(trap)f(on)h
+(Builtin],)i(page)f(59\).)40 b(An)m(y)24 b(trap)f(on)h
 Ft(SIGCHLD)e Fu(is)i(executed)150 1553 y(for)30 b(eac)m(h)i(c)m(hild)e
 (pro)s(cess)g(that)h(exits.)275 1687 y(If)25 b(an)h(attempt)h(to)g
 (exit)g(Bash)f(is)h(made)f(while)g(jobs)f(are)i(stopp)s(ed,)f(\(or)h
 (running,)e(if)h(the)g Ft(checkjobs)150 1796 y Fu(option)e(is)f
 (enabled)h({)g(see)g(Section)g(4.3.2)h([The)e(Shopt)g(Builtin],)j(page)
-e(62\),)i(the)e(shell)f(prin)m(ts)g(a)h(w)m(arning)150
+e(63\),)i(the)e(shell)f(prin)m(ts)g(a)h(w)m(arning)150
 1906 y(message,)k(and)c(if)i(the)f Ft(checkjobs)e Fu(option)j(is)f
 (enabled,)i(lists)e(the)h(jobs)f(and)f(their)i(statuses.)39
 b(The)25 b Ft(jobs)150 2016 y Fu(command)36 b(ma)m(y)h(then)f(b)s(e)f
@@ -15275,7 +15304,7 @@ m(v)-5 b(ailable.)55 b(Line)34 b(editing)h(can)g(b)s(e)f(enabled)g(at)h
 (an)m(y)g(time)150 1407 y(using)h(the)g Ft(-o)30 b(emacs)35
 b Fu(or)h Ft(-o)30 b(vi)35 b Fu(options)i(to)g(the)f
 Ft(set)f Fu(builtin)h(command)g(\(see)h(Section)g(4.3.1)h([The)150
-1517 y(Set)31 b(Builtin],)g(page)g(58\),)h(or)e(disabled)g(using)g(the)
+1517 y(Set)31 b(Builtin],)g(page)g(59\),)h(or)e(disabled)g(using)g(the)
 h Ft(+o)e(emacs)g Fu(or)i Ft(+o)e(vi)h Fu(options)h(to)g
 Ft(set)p Fu(.)150 1802 y Fs(8.1)68 b(In)l(tro)t(duction)45
 b(to)g(Line)h(Editing)150 1962 y Fu(The)30 b(follo)m(wing)i(paragraphs)
